> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/unichain/eth_accounts.md).

# eth\_accounts

Returns a list of addresses owned by client. Since BlockPI does not store keys, this will always return empty.

#### **Parameters:**

None

#### **Returns:**

**Array: DATA, 20 Bytes -** addresses owned by the client.

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl https://unichain.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" --data '{"jsonrpc":"2.0", "method":"eth_accounts","params":[],"id":1}'

// Result
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": []
}
```

{% endcode %}
